# MetaClassProperty Class Reference
[MetaConfiguration's base classes]

List of all members.

## Public Member Functions

| __construct ($name, BasePropertyType $type, MetaClass $class)
| equals (MetaClassProperty $property)
| getClass ()
| getName ()
| setName ($name)
| getColumnName ()
| setColumnName ($name)
| getConvertedName ()
| getType ()
| getSize ()
| setSize ($size)
| isRequired ()
| isOptional ()
| required ()
| optional ()
| isIdentifier ()
| setIdentifier ($really=false)
| getRelation ()
| getRelationId ()
| setRelation (MetaRelation $relation)
| setFetchStrategy (FetchStrategy $strategy)
| getFetchStrategy ()
| getFetchStrategyId ()
| toMethods (MetaClass $class, MetaClassProperty $holder=null)
| getRelationColumnName ()
| toColumn ()
| toLightProperty (MetaClass $holder)

## Private Member Functions

| buildColumn ($columnName)
| toVarName ($name)

## Private Attributes

| $class = null
| $name = null
| $columnName = null
| $type = null
| $size = null
| $required = false
| $identifier = false
| $relation = null
| $strategy = null

## Detailed Description

Definition at line 15 of file MetaClassProperty.class.php.

## Constructor & Destructor Documentation

MetaClassProperty::__construct | ( | $ | name,
|  | BasePropertyType $ | type,
|  | MetaClass $ | class |
| ) |  |  |

Definition at line 32 of file MetaClassProperty.class.php.

References $name.

## Member Function Documentation

MetaClassProperty::buildColumn | ( | $ | columnName | ) | `[private]`

Definition at line 429 of file MetaClassProperty.class.php.

References $columnName, $name, DBColumn::create(), getType(), and required().

Referenced by toColumn().

Here is the call graph for this function:

MetaClassProperty::equals | ( | MetaClassProperty $ | property | ) |

Definition at line 45 of file MetaClassProperty.class.php.

References getColumnName(), getName(), getRelation(), getSize(), getType(), isIdentifier(), and isRequired().

Here is the call graph for this function:

MetaClassProperty::getClass | ( |  | ) |

Returns:
  MetaClass

Definition at line 61 of file MetaClassProperty.class.php.

Referenced by getFetchStrategyId(), toColumn(), and toLightProperty().

MetaClassProperty::getColumnName | ( |  | ) |

Definition at line 81 of file MetaClassProperty.class.php.

Referenced by equals(), getRelationColumnName(), and toColumn().

MetaClassProperty::getConvertedName | ( |  | ) |

Returns:
  MetaClassProperty

Definition at line 99 of file MetaClassProperty.class.php.

Referenced by MetaConfiguration::processClasses().

MetaClassProperty::getFetchStrategy | ( |  | ) |

Returns:
  FetchStrategy

Definition at line 234 of file MetaClassProperty.class.php.

Referenced by MetaConfiguration::checkRecursion().

MetaClassProperty::getFetchStrategyId | ( |  | ) |

Definition at line 239 of file MetaClassProperty.class.php.

References getClass(), getRelationId(), getType(), and MetaRelation::ONE_TO_ONE.

Referenced by MetaConfiguration::processClasses(), and toLightProperty().

Here is the call graph for this function:

MetaClassProperty::getName | ( |  | ) |

Definition at line 66 of file MetaClassProperty.class.php.

Referenced by MetaClass::addProperty(), ContainerClassBuilder::buildContainer(), equals(), setSize(), ObjectType::toDropper(), ObjectType::toGetter(), BooleanType::toGetter(), BasePropertyType::toGetter(), toLightProperty(), ObjectType::toSetter(), BooleanType::toSetter(), and BasePropertyType::toSetter().

MetaClassProperty::getRelation | ( |  | ) |

Returns:
  MetaRelation

Definition at line 198 of file MetaClassProperty.class.php.

Referenced by ContainerClassBuilder::buildContainer(), and equals().

MetaClassProperty::getRelationColumnName | ( |  | ) |

Definition at line 262 of file MetaClassProperty.class.php.

References $columnName, getColumnName(), and MetaRelation::MANY_TO_MANY.

Referenced by toColumn(), and toLightProperty().

Here is the call graph for this function:

MetaClassProperty::getRelationId | ( |  | ) |

Definition at line 203 of file MetaClassProperty.class.php.

Referenced by MetaConfiguration::checkRecursion(), getFetchStrategyId(), MetaConfiguration::processClasses(), ObjectType::toDropper(), toLightProperty(), and ObjectType::toSetter().

MetaClassProperty::getSize | ( |  | ) |

Definition at line 114 of file MetaClassProperty.class.php.

Referenced by equals().

MetaClassProperty::getType | ( |  | ) |

Returns:
  BasePropertyType

Definition at line 109 of file MetaClassProperty.class.php.

Referenced by buildColumn(), ContainerClassBuilder::buildContainer(), MetaConfiguration::checkRecursion(), equals(), getFetchStrategyId(), MetaConfiguration::processClasses(), toColumn(), ObjectType::toGetter(), toLightProperty(), and ObjectType::toSetter().

MetaClassProperty::isIdentifier | ( |  | ) |

Definition at line 180 of file MetaClassProperty.class.php.

Referenced by MetaClass::addProperty(), equals(), and toLightProperty().

MetaClassProperty::isOptional | ( |  | ) |

Definition at line 155 of file MetaClassProperty.class.php.

MetaClassProperty::isRequired | ( |  | ) |

Definition at line 150 of file MetaClassProperty.class.php.

Referenced by equals(), and toLightProperty().

MetaClassProperty::optional | ( |  | ) |

Returns:
  MetaClassProperty

Definition at line 173 of file MetaClassProperty.class.php.

References required().

Here is the call graph for this function:

MetaClassProperty::required | ( |  | ) |

Returns:
  MetaClassProperty

Definition at line 163 of file MetaClassProperty.class.php.

Referenced by buildColumn(), optional(), and MetaConfiguration::processClasses().

MetaClassProperty::setColumnName | ( | $ | name | ) |

Returns:
  MetaClassProperty

Definition at line 89 of file MetaClassProperty.class.php.

References $name.

Referenced by MetaConfiguration::processClasses().

MetaClassProperty::setFetchStrategy | ( | FetchStrategy $ | strategy | ) |

Returns:
  MetaClassProperty

Definition at line 224 of file MetaClassProperty.class.php.

Referenced by MetaConfiguration::processClasses().

MetaClassProperty::setIdentifier | ( | $ | really = `false` | ) |

Returns:
  MetaClassProperty

Definition at line 188 of file MetaClassProperty.class.php.

MetaClassProperty::setName | ( | $ | name | ) |

Returns:
  MetaClassProperty

Definition at line 74 of file MetaClassProperty.class.php.

References $name.

MetaClassProperty::setRelation | ( | MetaRelation $ | relation | ) |

Returns:
  MetaClassProperty

Definition at line 214 of file MetaClassProperty.class.php.

Referenced by MetaConfiguration::processClasses().

MetaClassProperty::setSize | ( | $ | size | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  MetaClassProperty

Definition at line 123 of file MetaClassProperty.class.php.

References $size, getName(), and Assert::isInteger().

Here is the call graph for this function:

MetaClassProperty::toColumn | ( |  | ) |

Definition at line 281 of file MetaClassProperty.class.php.

References buildColumn(), getClass(), getColumnName(), getRelationColumnName(), and getType().

Here is the call graph for this function:

MetaClassProperty::toLightProperty | ( | MetaClass $ | holder | ) |

Definition at line 317 of file MetaClassProperty.class.php.

References $class, $identifier, $size, getClass(), getFetchStrategyId(), getName(), MetaClass::getName(), getRelationColumnName(), getRelationId(), getType(), isIdentifier(), isRequired(), MetaRelation::MANY_TO_MANY, MetaRelation::ONE_TO_MANY, and MetaRelation::ONE_TO_ONE.

Here is the call graph for this function:

MetaClassProperty::toMethods | ( | MetaClass $ | class,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Definition at line 254 of file MetaClassProperty.class.php.

MetaClassProperty::toVarName | ( | $ | name | ) | `[private]`

Definition at line 514 of file MetaClassProperty.class.php.

References $name.

## Member Data Documentation

MetaClassProperty::$class = null`[private]`

Definition at line 17 of file MetaClassProperty.class.php.

Referenced by toLightProperty().

MetaClassProperty::$columnName = null`[private]`

Definition at line 20 of file MetaClassProperty.class.php.

Referenced by buildColumn(), and getRelationColumnName().

MetaClassProperty::$identifier = false`[private]`

Definition at line 26 of file MetaClassProperty.class.php.

Referenced by toLightProperty().

MetaClassProperty::$name = null`[private]`

Definition at line 19 of file MetaClassProperty.class.php.

Referenced by __construct(), buildColumn(), setColumnName(), setName(), and toVarName().

MetaClassProperty::$relation = null`[private]`

Definition at line 28 of file MetaClassProperty.class.php.

MetaClassProperty::$required = false`[private]`

Definition at line 25 of file MetaClassProperty.class.php.

MetaClassProperty::$size = null`[private]`

Definition at line 23 of file MetaClassProperty.class.php.

Referenced by setSize(), and toLightProperty().

MetaClassProperty::$strategy = null`[private]`

Definition at line 30 of file MetaClassProperty.class.php.

MetaClassProperty::$type = null`[private]`

Definition at line 22 of file MetaClassProperty.class.php.

The documentation for this class was generated from the following file:

- meta/classes/MetaClassProperty.class.php